curl -X PATCH \
https://studio.dubformer.ai/api/v1/projects/proj_5f83a14b2ec1b \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"name": "Updated Marketing Campaign 2023",
"managerEmail": "new.manager@company.com",
"translationsGlossaryId": "gloss_new_5f83a14b2ec1b",
"voicesGlossaryId": "",
"pronunciationGlossaryId": "pron_3a91c7d2e84f5"
}'
import axios from 'axios';
const response = await axios.patch(
'https://studio.dubformer.ai/api/v1/projects/proj_5f83a14b2ec1b',
{
name: "Updated Marketing Campaign 2023",
managerEmail: "new.manager@company.com",
translationsGlossaryId: "gloss_new_5f83a14b2ec1b",
voicesGlossaryId: "",
pronunciationGlossaryId: "pron_3a91c7d2e84f5"
},
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
}
);
console.log(response.data);
{
"id": "proj_5f83a14b2ec1b",
"name": "Updated Marketing Campaign 2023",
"status": "new",
"translationGlossary": "gloss_new_5f83a14b2ec1b",
"voicesGlossary": null,
"pronunciationGlossary": "pron_3a91c7d2e84f5",
"remark": "Created via Dubformer Studio API",
"clientName": null,
"folderId": "folder_5f83a14b2ec1b",
"projectUrl": "https://studio.dubformer.ai/projects/proj_5f83a14b2ec1b",
"createdAt": "2023-12-01T10:00:00.000Z",
"updatedAt": "2023-12-01T16:45:00.000Z"
}
Projects
Update Project
Update basic information of an existing project
PATCH
/
api
/
v1
/
projects
/
{projectId}
curl -X PATCH \
https://studio.dubformer.ai/api/v1/projects/proj_5f83a14b2ec1b \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"name": "Updated Marketing Campaign 2023",
"managerEmail": "new.manager@company.com",
"translationsGlossaryId": "gloss_new_5f83a14b2ec1b",
"voicesGlossaryId": "",
"pronunciationGlossaryId": "pron_3a91c7d2e84f5"
}'
import axios from 'axios';
const response = await axios.patch(
'https://studio.dubformer.ai/api/v1/projects/proj_5f83a14b2ec1b',
{
name: "Updated Marketing Campaign 2023",
managerEmail: "new.manager@company.com",
translationsGlossaryId: "gloss_new_5f83a14b2ec1b",
voicesGlossaryId: "",
pronunciationGlossaryId: "pron_3a91c7d2e84f5"
},
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
}
);
console.log(response.data);
{
"id": "proj_5f83a14b2ec1b",
"name": "Updated Marketing Campaign 2023",
"status": "new",
"translationGlossary": "gloss_new_5f83a14b2ec1b",
"voicesGlossary": null,
"pronunciationGlossary": "pron_3a91c7d2e84f5",
"remark": "Created via Dubformer Studio API",
"clientName": null,
"folderId": "folder_5f83a14b2ec1b",
"projectUrl": "https://studio.dubformer.ai/projects/proj_5f83a14b2ec1b",
"createdAt": "2023-12-01T10:00:00.000Z",
"updatedAt": "2023-12-01T16:45:00.000Z"
}
Path Parameters
Request Body
Email of the new project manager. The manager must belong to the same company as the API key user.
Response
ID of the folder that contains the project, or
null if the project is at the company root.curl -X PATCH \
https://studio.dubformer.ai/api/v1/projects/proj_5f83a14b2ec1b \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"name": "Updated Marketing Campaign 2023",
"managerEmail": "new.manager@company.com",
"translationsGlossaryId": "gloss_new_5f83a14b2ec1b",
"voicesGlossaryId": "",
"pronunciationGlossaryId": "pron_3a91c7d2e84f5"
}'
import axios from 'axios';
const response = await axios.patch(
'https://studio.dubformer.ai/api/v1/projects/proj_5f83a14b2ec1b',
{
name: "Updated Marketing Campaign 2023",
managerEmail: "new.manager@company.com",
translationsGlossaryId: "gloss_new_5f83a14b2ec1b",
voicesGlossaryId: "",
pronunciationGlossaryId: "pron_3a91c7d2e84f5"
},
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
}
);
console.log(response.data);
{
"id": "proj_5f83a14b2ec1b",
"name": "Updated Marketing Campaign 2023",
"status": "new",
"translationGlossary": "gloss_new_5f83a14b2ec1b",
"voicesGlossary": null,
"pronunciationGlossary": "pron_3a91c7d2e84f5",
"remark": "Created via Dubformer Studio API",
"clientName": null,
"folderId": "folder_5f83a14b2ec1b",
"projectUrl": "https://studio.dubformer.ai/projects/proj_5f83a14b2ec1b",
"createdAt": "2023-12-01T10:00:00.000Z",
"updatedAt": "2023-12-01T16:45:00.000Z"
}
Notes
This endpoint updates only basic project information. Videos can be managed using separate video management endpoints.
The
managerEmail must be a user from the same company as the API key owner. If not provided, the API key owner becomes the project manager.Translation, voices and pronunciation glossaries must exist and belong to your organization if provided. Pass an empty string to remove an existing glossary assignment.